> ## Documentation Index
> Fetch the complete documentation index at: https://www.zinc.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Orders

> Get a list of all orders in your account

To get a list of all orders within a specific timestamp range, use the order query and include these additional query parameters.

The timestamps are unix timestamps in milliseconds, which you can read about [here](https://en.wikipedia.org/wiki/Unix_time). To easily convert a human-readable date / time to a unix timestamp, you can use this [converter](https://www.epochconverter.com/).

Sample code that includes an example of a bulk order query can be found in this [GitHub repo](https://github.com/zincio/api-samples).


## OpenAPI

````yaml GET /v1/orders
openapi: 3.0.0
info:
  title: Zinc API
  version: 1.0.0
  description: API for placing orders and retrieving product data from top retailers.
servers:
  - url: https://api.zinc.io
    description: Production server
security:
  - basicAuth: []
paths:
  /v1/orders:
    get:
      summary: List Orders
      description: Retrieve a list of orders within a specific timestamp range.
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 10
          description: Maximum number of orders to return in the results (defaults to 10)
        - name: skip
          in: query
          required: false
          schema:
            type: integer
          description: >-
            Number of order responses to skip before including up to limit
            orders in results
        - name: starting_after
          in: query
          required: false
          schema:
            type: integer
          description: Timestamp of start of the range (inclusive)
        - name: ending_before
          in: query
          required: false
          schema:
            type: integer
          description: Timestamp of end of the range (exclusive)
        - name: retailer
          in: query
          required: false
          schema:
            type: string
          description: >-
            Name of the retailer to include orders from. See [Supported
            Retailers](/supported-retailers) for a list of supported retailers.
      responses:
        '200':
          description: List of orders retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrderResponse'
components:
  schemas:
    OrderResponse:
      type: object
      properties:
        _type:
          type: string
          description: Response type
          enum:
            - order_response
        price_components:
          $ref: '#/components/schemas/PriceComponents'
        merchant_order_ids:
          type: array
          items:
            $ref: '#/components/schemas/MerchantOrderId'
          description: >-
            A merchant order ids object which contains details about the
            retailer's order identifiers
        tracking:
          type: array
          items:
            $ref: '#/components/schemas/Tracking'
          description: >-
            An array of tracking objects that contain the order's tracking
            information
        request:
          type: object
          description: The original request that was sent to the Zinc API
        delivery_dates:
          type: array
          description: An array of ordered products and their given delivery dates
        account_status:
          $ref: '#/components/schemas/AccountStatus'
          description: >-
            (Amazon only) An account status object that gives details about the
            ordering account
    PriceComponents:
      type: object
      properties:
        converted_payment_total:
          type: integer
          description: Converted payment total in cents
        currency:
          type: string
          description: Currency code
        payment_currency:
          type: string
          description: Payment currency code
        shipping:
          type: integer
          description: Shipping cost in cents
        subtotal:
          type: integer
          description: Subtotal in cents
        tax:
          type: integer
          description: Tax amount in cents
        total:
          type: integer
          description: Total amount in cents
    MerchantOrderId:
      type: object
      properties:
        merchant_order_id:
          type: string
          description: The merchant's order identifier
        merchant:
          type: string
          description: The merchant name
        account:
          type: string
          description: The account email
        placed_at:
          type: string
          format: date-time
          description: When the order was placed
    Tracking:
      type: object
      properties:
        product_id:
          type: string
          description: The product identifier
        merchant_order_id:
          type: string
          description: The merchant's order identifier
        carrier:
          type: string
          description: The shipping carrier
        tracking_number:
          type: string
          description: The tracking number
        obtained_at:
          type: string
          format: date-time
          description: When tracking was obtained
    AccountStatus:
      type: object
      properties:
        prime:
          type: boolean
          description: Indicates if the account has Prime enabled
        fresh:
          type: boolean
          description: Indicates if the account has Fresh enabled
        business:
          type: boolean
          description: Indicates if the account has Business enabled
        charity:
          type: string
          description: Indicates if the account has a Charity associated
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your client token as the username. Leave the password blank.

````